$colors: (
  header: #670f22,
  bg: #ab0d2f,
  cont: #edeae5,
  boxes: #ab0d2f,
);

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  background-color: map-get($colors, bg);
  font-family: "Josefin Sans", sans-serif;

  .wrapper {
    height: 100%;
    border-radius: 15px;
    display: flex;
    flex-flow: column nowrap;

    &__header {
      background-color: map-get($colors, header);
      padding: 12px;
    }

    &__main {
      width: 100%;
      display: flex;
      flex-flow: column nowrap;
      align-items: center;
      justify-content: center;

      .info {
        box-shadow: 3px 2px 3px black;

        .cards {
          display: flex;
          flex-flow: row nowrap;
          justify-content: space-between;
          margin: 0 30px 10px 30px;

          div {
            width: 50%;
            text-align: left;
          }
        }
      }
    }

    &__footer {
      background-color: map-get($colors, cont);
      margin-top: 20px;

      h3 {
        margin-top: 10px;
      }

      .container {
        display: flex;
        flex-flow: row wrap;
        align-content: center;
        justify-content: space-evenly;

        .box {
          background-color: map-get($colors, boxes);
          margin: 10px 30px 10px 30px;
          border-radius: 15px;
          box-shadow: 3px 2px 3px black;
        }

        .box:hover {
          background-color: map-get($colors, header);

          .second {
            width: 85px;
            height: 85px;
            padding: 0;
            margin: -3px -3px -3px -3px;
          }
        }
      }

      img.second {
        width: 80px;
        height: 80px;
        padding: 2px 2px 2px 2px;
      }
    }
  }
}

.icon-word {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: center;

  .logo {
    background-color: white;
    width: 25px;
    margin-right: 6px;
    margin-bottom: -5px;
    border-radius: 50%;
  }
}

.icon-word-name {
  background-color: map-get($colors, cont);
  box-shadow: 3px 2px 3px black;
  border-radius: 10px;
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  justify-content: center;
  padding: 7px 21px 7px 21px;
  margin-top: 20px;

  .logo {
    width: 25px;
    height: 22px;
  }
}

img.principal {
  width: 180px;
  height: 180px;
  margin: 12px 0 -38px 0;
}

.name {
  z-index: 9;
}

.info {
  z-index: -1;
  background-color: map-get($colors, cont);
  padding: 50px 0 50px 0;
  border-radius: 15px;
  width: 80%;
}

h3 {
  text-align: center;
}

h1 {
  color: azure;
  font-size: 80%;
}

@media screen and (min-width: 660px) {
  img.principal {
    width: 180px;
    height: 180px;
    margin: 10;
  }

  .icon-word {
    justify-content: flex-start;
  }

  body {
    height: 100%;
    .wrapper {
      min-height: 100vh;
      height: 100%;
      width: 100%;
      display: flex;
      flex-flow: column nowrap;

      &__main {
        flex-grow: 1;
        display: flex;
        flex-flow: row nowrap;
        align-items: center;

        .name {
          margin-left: 15px;
        }

        .info {
          width: 60%;
          margin: 30px 15px 0 50px;
          display: flex;
          flex-flow: row wrap;
          justify-content: center;

          .cards {
            width: 30%;
            padding: 10px;
            display: flex;
            flex-direction: column;
          }
        }
      }

      &__footer {
        display: flex;
        flex-flow: row nowrap;
        align-items: center;
        justify-content: space-around;
        .container {
          display: flex;
          justify-content: space-around;
        }
      }
    }
  }
}
